# fileset::to-string

[This is preliminary documentation and subject to change.]

Returns a delimited string of all the filenames within a <fileset> with each filename separated by the specified delimiter string.

### Usage

`string fileset::to-string(fileset, delimiter)`

### Parameters

Name | Type | Description
--- | --- | ---
fileset | string | The id of the fileset to check.
delimiter | string | String to separate filenames with.

### Return Value

A delimited string of the filenames within the specified FileSet.

### Exceptions

The function will fail in any of the following circumstances:

- fileset is not a valid refid to a defined fileset.

### Examples

- Displays a space-pipe-space separated string fo the files within a defined FileSet.

      <fileset id="test.fileset">
          <include name="**/*.cs">
      </fileset>
      <echo message="${fileset::to-string('test.fileset', ' | ')}">

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)